if($Pref::ServerList::ClickTime < 50)
{
	$Pref::ServerList::ClickTime = 750;
}

$ServerList::LastSelectedRowText = "";
$ServerList::LastClick = 0;

package DoubleClickServerJoin
{
	function JS_serverList::onSelect(%this, %rowID, %rowText)
	{
		if($Sim::Time - $ServerList::LastClick < $Pref::ServerList::ClickTime && %rowText $= $ServerList::LastSelectedRowText)
		{
			JoinServerGui.join();

			$ServerList::LastSelectedRowText = "";
			$ServerList::LastClick = 0;

			return;
		}

		$ServerList::LastSelectedRowText = %rowText;
		$ServerList::LastClick = $Sim::Time;
	}

	function ServerSO::serialize(%so)
	{
		$ServerList::LastSelectedRowText = "";
		$ServerList::LastClick = 0;

		parent::serialize(%so);
	}
};
activatePackage(DoubleClickServerJoin);